Package org.eclipse.microprofile.config.tck

## Class CDIPlainInjectionTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.config.tck.CDIPlainInjectionTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

    public class CDIPlainInjectionTest
    extends org.jboss.arquillian.testng.Arquillian

Test cases for CDI-based API that test retrieving values from the configuration. The tests depend only on CDI 1.2.

Author:
  Ondrej Mihalyi

### Nested Class Summary

Nested Classes
`static class` `CDIPlainInjectionTest.DefaultPropertyBean`
`static class` `CDIPlainInjectionTest.DynamicValuesBean`
`static class` `CDIPlainInjectionTest.SimpleValuesBean`
`static class` `CDIPlainInjectionTest.TestConfigSource`

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
`CDIPlainInjectionTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `canInjectDefaultPropertyPath()`
`void` `canInjectDynamicValuesViaCdiProvider()`
`void` `canInjectSimpleValuesWhenDefined()`
`static org.jboss.shrinkwrap.api.Archive` `deployment()`
`void` `injectedValuesAreEqualToProgrammaticValues()`
`void` `setUpTest()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDIPlainInjectionTest

    public CDIPlainInjectionTest()

### Method Detail

#### deployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive deployment()

#### setUpTest

    @BeforeTest
    public void setUpTest()

#### canInjectSimpleValuesWhenDefined

    public void canInjectSimpleValuesWhenDefined()

#### injectedValuesAreEqualToProgrammaticValues

    public void injectedValuesAreEqualToProgrammaticValues()

#### canInjectDynamicValuesViaCdiProvider

    public void canInjectDynamicValuesViaCdiProvider()

#### canInjectDefaultPropertyPath

    public void canInjectDefaultPropertyPath()